"use strict";
this.name           = "fighters-subent";
this.author         = "Norby";
this.copyright      = "© 2016 Norby, Creative Commons: attribution, non-commercial, sharealike.";
this.description    = "ship script for subentities of fighters";

this.shipDied = function (whom,why) {
    if( !this.ship || !this.ship.owner || !this.ship.owner.isValid ) return; //for sure

    switch(this.ship.dataKey) {
        case "fighters-raidersub": {
            var m = "I lost a laser, but there is another!";
            var e = this.ship.owner.subEntities;
            if( !e || e.length < 1 ) m = "No more laser!";
            this.ship.owner.commsMessage(m);
            break;
        };
        case "fighters-swarmsub": {
            var ai = system.addShips("fighters-alienitem", 1, this.ship.owner.position, 20);
            if( ai && ai[0] && this.ship.velocity) ai[0].velocity = this.ship.velocity;

            var s = this.ship.owner.script;
            if( s && s.$FighterOwner == player.ship ) {//for fighters of player only
                var by = "";
                if(whom) by = "by "+whom.displayName;
                player.consoleMessage("A Swarm fighter destroyed"+by);
            }
            log(this.name, this.ship.displayName+" destroyed by "+whom+" "+why); //log NPC fighters also
            break;
        };
        case "fighters-sharkheadsub": {
            this.ship.owner.commsMessage("Laser power halved due to this damage.");
            break;
        };
        case "fighters-sharksub":
        case "fighters-kingsub": {
            this.ship.owner.commsMessage("No more armor, Injectors unusable.");
            this.ship.owner.fuel = 0; //prevent usage of injectors
            this.ship.owner.setEquipmentStatus("EQ_HEAT_SHIELD", "EQUIPMENT_DAMAGED");
            break; //landing script will set fighter eq to damaged so forced repair in station
        };
        case "fighters-kingheadsub": {
            this.ship.owner.commsMessage("I lost my turret!");
            break;
        };
    }
};